#ifndef LEVEL_ENCODING_HPP
#define LEVEL_ENCODING_HPP

namespace charcode {

enum type {
    empty='.',
    white='o',
    gray='*',
    robot_left='l',
    robot_right='r',
    robot_up='u',
    robot_down='d',

    wall_l='A',
    wall_r='B',
    wall_u='C',
    wall_d='D',

    wall_lr='E',
    wall_ud='F',

    wall_lu='G',
    wall_ld='H',
    wall_ru='I',
    wall_rd='J',

    wall_lru='K',
    wall_lrd='L',
    wall_lud='M',
    wall_rud='N',

    wall_lrud='O'
};

} // namespace charcode
#endif
